package com.example.administrator.zhapp.entity;

import java.util.List;

/**
 * Created by gzw on 2016/8/15.
 */

public class WlffInfo {


    /**
     * Rows : [{"in6":"生产公用","wonum":"ZHP1363","description":"2号机主机润滑油箱油位偏低","itemnum":"IT26136","itemqty":"2","binnum":"3Z04-04S","unitcost":"3002.38","restype":"桶","curbal":"1","binsx":""},{"in6":"生产公用","wonum":"ZHP1363","description":"2号机主机润滑油箱油位偏低","itemnum":"IT26136","itemqty":"2","binnum":"3Z02-03S","unitcost":"3002.38","restype":"桶","curbal":"1","binsx":""},{"in6":"生产公用","wonum":"ZHP1363","description":"2号机主机润滑油箱油位偏低","itemnum":"IT26136","itemqty":"2","binnum":"3Z01-01S","unitcost":"3002.38","restype":"桶","curbal":"1","binsx":""}]
     * Total : 3
     */

    private int Total;
    /**
     * in6 : 生产公用
     * wonum : ZHP1363
     * description : 2号机主机润滑油箱油位偏低
     * itemnum : IT26136
     * itemqty : 2
     * binnum : 3Z04-04S
     * unitcost : 3002.38
     * restype : 桶
     * curbal : 1
     * binsx :
     */

    private List<Wlff> Rows;

    public int getTotal() {
        return Total;
    }

    public void setTotal(int Total) {
        this.Total = Total;
    }

    public List<Wlff> getRows() {
        return Rows;
    }

    public void setRows(List<Wlff> Rows) {
        this.Rows = Rows;
    }

    public static class Wlff {
        private String in6;
        private String wonum;
        private String description;
        private String itemnum;
        private String itemqty;
        private String binnum;
        private String unitcost;
        private String restype;
        private String curbal;
        private String binsx;
        private String ffsl;
        private String issueto;//发放人
        private String enterby;
        private String tlsl;//退料数量
        private String inputhg;//输入货柜
        private String selecthg;//选择货柜
        private String tlid;
        private String location;
        private String wtypedesc;
        private String crewid;
        private String reportedby;
        private String requestedby;
        private String requireddate;
        private String transdate;
        private String stocktype;
        private String requestnum;

        public String getRequestnum() {
            return requestnum;
        }

        public void setRequestnum(String requestnum) {
            this.requestnum = requestnum;
        }

        public String getStocktype() {
            return stocktype;
        }

        public void setStocktype(String stocktype) {
            this.stocktype = stocktype;
        }

        public String getTransdate() {
            return transdate;
        }

        public void setTransdate(String transdate) {
            this.transdate = transdate;
        }

        public String getWtypedesc() {
            return wtypedesc;
        }

        public void setWtypedesc(String wtypedesc) {
            this.wtypedesc = wtypedesc;
        }

        public String getCrewid() {
            return crewid;
        }

        public void setCrewid(String crewid) {
            this.crewid = crewid;
        }

        public String getReportedby() {
            return reportedby;
        }

        public void setReportedby(String reportedby) {
            this.reportedby = reportedby;
        }

        public String getRequestedby() {
            return requestedby;
        }

        public void setRequestedby(String requestedby) {
            this.requestedby = requestedby;
        }

        public String getRequireddate() {
            return requireddate;
        }

        public void setRequireddate(String requireddate) {
            this.requireddate = requireddate;
        }

        public String getLocation() {
            return location;
        }

        public void setLocation(String location) {
            this.location = location;
        }

        public String getTlid() {
            return tlid;
        }

        public void setTlid(String tlid) {
            this.tlid = tlid;
        }

        public String getSelecthg() {
            return selecthg;
        }

        public void setSelecthg(String selecthg) {
            this.selecthg = selecthg;
        }


        public String getInputhg() {
            return inputhg;
        }

        public void setInputhg(String inputhg) {
            this.inputhg = inputhg;
        }

        public String getTlsl() {
            return tlsl;
        }

        public void setTlsl(String tlsl) {
            this.tlsl = tlsl;
        }

        public String getIssueto() {
            return issueto;
        }

        public void setIssueto(String issueto) {
            this.issueto = issueto;
        }

        public String getEnterby() {
            return enterby;
        }

        public void setEnterby(String enterby) {
            this.enterby = enterby;
        }

        public String getFfsl() {
            return ffsl;
        }

        public void setFfsl(String ffsl) {
            this.ffsl = ffsl;
        }

        private boolean isPrint;

        public boolean isPrint() {
            return isPrint;
        }

        public void setPrint(boolean print) {
            isPrint = print;
        }

        public String getIn6() {
            return in6;
        }

        public void setIn6(String in6) {
            this.in6 = in6;
        }

        public String getWonum() {
            return wonum;
        }

        public void setWonum(String wonum) {
            this.wonum = wonum;
        }

        public String getDescription() {
            return description;
        }

        public void setDescription(String description) {
            this.description = description;
        }

        public String getItemnum() {
            return itemnum;
        }

        public void setItemnum(String itemnum) {
            this.itemnum = itemnum;
        }

        public String getItemqty() {
            return itemqty;
        }

        public void setItemqty(String itemqty) {
            this.itemqty = itemqty;
        }

        public String getBinnum() {
            return binnum;
        }

        public void setBinnum(String binnum) {
            this.binnum = binnum;
        }

        public String getUnitcost() {
            return unitcost;
        }

        public void setUnitcost(String unitcost) {
            this.unitcost = unitcost;
        }

        public String getRestype() {
            return restype;
        }

        public void setRestype(String restype) {
            this.restype = restype;
        }

        public String getCurbal() {
            return curbal;
        }

        public void setCurbal(String curbal) {
            this.curbal = curbal;
        }

        public String getBinsx() {
            return binsx;
        }

        public void setBinsx(String binsx) {
            this.binsx = binsx;
        }
    }
}
